## strongswan 5.7.2.2

=== debian/changelog ===
strongswan (5.7.2.2-1+dde) buster-security; urgency=medium

  * gbp.conf: revert upstream branch name change for now
  * eap-authenticator: Enforce failure if MSK generation fails
    -  Fix incorrect handling of Early EAP-Success Messages (CVE-2021-45079)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 10 Jan 2022 17:53:28 +0100

strongswan (5.7.2.1-1+dde) unstable; urgency=medium

  * fix CVE-2021-41990 CVE-2021-41991 

 -- lishengyu <lishengyu@uniontech.com>  Mon, 01 Nov 2021 10:43:04 +0800
