## strongswan 5.7.2.3

=== debian/changelog ===
strongswan (5.7.2.3-1+dde) unstable; urgency=medium

  * fix CVE-2022-40617

 -- wangjia <wangjia@uniontech.com>  Wed, 02 Nov 2022 10:04:01 +0800
