=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.strongswan.org/strongswan-([\d.]+)\.tar\.bz2
