=== debian/control ===
--- 
+++ 
@@ -4,36 +4,32 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: strongSwan Maintainers <pkg-swan-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/strongswan
 Vcs-Git: https://salsa.debian.org/debian/strongswan.git
 Build-Depends: bison,
                bzip2,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                dh-apparmor,
                dpkg-dev (>= 1.16.2),
                flex,
                gperf,
-               iptables-dev [linux-any],
+               libip4tc-dev [linux-any],
+               libip6tc-dev [linux-any],
+               libiptc-dev [linux-any],
                libcap-dev [linux-any],
                libcurl4-openssl-dev | libcurl3-dev | libcurl2-dev,
                libgcrypt20-dev | libgcrypt11-dev,
                libgmp3-dev,
-               libjson-c-dev,
                libkrb5-dev,
                libldap2-dev,
-               libldns-dev,
-               libmysqlclient-dev,
                libnm-dev [linux-any],
                libpam0g-dev,
-               libpcsclite-dev,
-               libsoup2.4-dev,
                libsqlite3-dev,
                libssl-dev (>= 0.9.8),
                libsystemd-dev [linux-any],
                libtool,
-               libtspi-dev,
-               libunbound-dev,
+               libtss2-dev,
                libxml2-dev,
                pkg-config,
                po-debconf,
@@ -54,8 +50,6 @@
 Package: libstrongswan
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: strongswan-starter (<< 5.3.5-2)
-Replaces: strongswan-starter (<< 5.3.5-2)
 Recommends: libstrongswan-standard-plugins
 Suggests: libstrongswan-extra-plugins
 Description: strongSwan utility and crypto library
@@ -71,10 +65,10 @@
   - aes (AES-128/192/256 cipher software implementation)
   - constraints (X.509 certificate advanced constraint checking)
   - dnskey (Parse RFC 4034 public keys)
+  - drbg (NIST SP-800-90A Deterministic Random Bit Generator)
   - fips-prf (PRF specified by FIPS, used by EAP-SIM/AKA algorithms)
   - gmp (RSA/DH crypto backend based on libgmp)
   - hmac (HMAC wrapper using various hashers)
-  - md4 (MD4 hasher software implementation)
   - md5 (MD5 hasher software implementation)
   - mgf1 (Mask Generation Functions based on the SHA-1, SHA-256 and SHA-512)
   - nonce (Default nonce generation plugin)
@@ -106,8 +100,6 @@
 Depends: libstrongswan (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1)
-Replaces: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1)
 Description: strongSwan utility and crypto library (standard plugins)
  The strongSwan VPN suite uses the native IPsec stack in the standard
  Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
@@ -126,8 +118,8 @@
 Depends: libstrongswan (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1), libcharon-extra-plugins (<= 5.5.3-1)
-Replaces: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1), libcharon-extra-plugins (<= 5.5.3-1)
+Breaks: libcharon-extra-plugins (<= 5.5.3-1)
+Replaces: libcharon-extra-plugins (<= 5.5.3-1)
 Description: strongSwan utility and crypto library (extra plugins)
  The strongSwan VPN suite uses the native IPsec stack in the standard
  Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
@@ -136,59 +128,60 @@
  cryptographic library.
  .
  Included plugins are:
-  - acert (Support of X.509 attribute certificates (since 5.1.3))
   - af-alg [linux] (AF_ALG Linux crypto API interface, provides
     ciphers/hashers/hmac/xcbc)
-  - attr-sql (provide IKE attributes read from a database to peers)
-  - bliss (Bimodal Lattice Signature Scheme (BLISS) post-quantum computer
-    signature scheme)
   - ccm (CCM cipher mode wrapper)
-  - chapoly (ChaCha20/Poly1305 AEAD implementation)
   - cmac (CMAC cipher mode wrapper)
   - ctr (CTR cipher mode wrapper)
-  - coupling (Permanent peer certificate coupling)
   - curl (libcurl based HTTP/FTP fetcher)
   - curve25519 (support for Diffie-Hellman group 31 using Curve25519 and
     support for the Ed25519 digital signature algorithm for IKEv2)
-  - dnscert (authentication via CERT RRs protected by DNSSEC)
   - gcrypt (Crypto backend based on libgcrypt, provides
     RSA/DH/ciphers/hashers/rng)
-  - ipseckey (authentication via IPSECKEY RRs protected by DNSSEC)
   - ldap (LDAP fetching plugin based on libldap)
-  - load-tester (perform IKE load tests against self or gateway)
-  - mysql (database backend)
   - ntru (key exchanged based on post-quantum computer NTRU)
-  - nttfft (Number Theoretic Transform via the FFT algorithm)
   - padlock (VIA padlock crypto backend, provides AES128/SHA1)
   - pkcs11 (PKCS#11 smartcard backend)
-  - radattr (inject and process custom RADIUS attributes as IKEv2 client)
-  - sql (SQL configuration and creds engine)
-  - sqlite (SQLite database backend)
-  - soup (libsoup based HTTP fetcher)
   - rdrand (High quality / high performance random source using the Intel
     rdrand instruction found on Ivy Bridge processors)
   - test-vectors (Set of test vectors for various algorithms)
-  - unbound (DNSSEC enabled resolver using libunbound)
-  - whitelist (peer verification against a whitelist)
  .
  Also included is the libtpmtss library adding support for TPM plugin
  (https://wiki.strongswan.org/projects/strongswan/wiki/TpmPlugin)
 
-Package: libcharon-standard-plugins
-Architecture: any
-Depends: libstrongswan (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libcharon-extra-plugins (<< 5.5.1-1ubuntu1~)
-Replaces: libcharon-extra-plugins (<< 5.5.1-1ubuntu1~)
-Description: strongSwan charon library (standard plugins)
- The strongSwan VPN suite uses the native IPsec stack in the standard
- Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
- .
- This package provides standard plugins for the charon library:
+Package: libcharon-extauth-plugins
+Architecture: any
+Depends: libstrongswan (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libcharon-extra-plugins (<< 5.8.0-2~), libcharon-standard-plugins (<< 5.8.1-1ubuntu1~)
+Replaces: libcharon-extra-plugins (<< 5.8.0-2~), libcharon-standard-plugins (<< 5.8.1-1ubuntu1~)
+Description: strongSwan charon library (extended authentication plugins)
+ The strongSwan VPN suite uses the native IPsec stack in the standard
+ Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
+ .
+ This package provides extended authentication plugins for the charon library:
   - eap-mschapv2 (EAP-MSCHAPv2 protocol handler using passwords/NT hashes)
+    Used for client side to connect to some VPN concentrators configured for
+    Windows 7+ and modern OSX/iOS using IKEv2 (identify with public key,
+    authenticate with MSCHAPv2).
   - xauth-generic (Generic XAuth backend that provides passwords from
     ipsec.secrets and other credential sets)
+    Used for the client side to connect to VPN concentrators configured for
+    Android and older OSX/iOS using IKEv1 and XAUTH (identify with public key,
+    authenticate with XAUTH password).
+ .
+ These are the "not always, but still more commonly used" plugins, for further
+ needs even more plugins can be found in the package libcharon-extra-plugins.
+
+# Transition from former Ubuntu only libcharon-standard-plugins to common libcharon-extauth-plugins
+Package: libcharon-standard-plugins
+Depends: libcharon-extauth-plugins (= ${source:Version}), ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
 
 # Transition back from strongswan-tnc-* being in extra packages
 # Can be dropped after 20.04
@@ -237,8 +230,8 @@
 Depends: libstrongswan (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1), strongswan-tnc-ifmap (<< 5.7.2-1ubuntu1), strongswan-tnc-base (<< 5.7.2-1ubuntu1), strongswan-tnc-client (<< 5.7.2-1ubuntu1), strongswan-tnc-server (<< 5.7.2-1ubuntu1), strongswan-tnc-pdp (<< 5.7.2-1ubuntu1)
-Replaces: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1), strongswan-tnc-ifmap (<< 5.7.2-1ubuntu1), strongswan-tnc-base (<< 5.7.2-1ubuntu1), strongswan-tnc-client (<< 5.7.2-1ubuntu1), strongswan-tnc-server (<< 5.7.2-1ubuntu1), strongswan-tnc-pdp (<< 5.7.2-1ubuntu1)
+Breaks: strongswan-tnc-ifmap (<< 5.7.2-1ubuntu1), strongswan-tnc-base (<< 5.7.2-1ubuntu1), strongswan-tnc-client (<< 5.7.2-1ubuntu1), strongswan-tnc-server (<< 5.7.2-1ubuntu1), strongswan-tnc-pdp (<< 5.7.2-1ubuntu1)
+Replaces: strongswan-tnc-ifmap (<< 5.7.2-1ubuntu1), strongswan-tnc-base (<< 5.7.2-1ubuntu1), strongswan-tnc-client (<< 5.7.2-1ubuntu1), strongswan-tnc-server (<< 5.7.2-1ubuntu1), strongswan-tnc-pdp (<< 5.7.2-1ubuntu1)
 Provides: strongswan-tnc-base
 Description: strongSwan charon library (extra plugins)
  The strongSwan VPN suite uses the native IPsec stack in the standard
@@ -247,7 +240,6 @@
  This package provides extra plugins for the charon library:
   - addrblock (Narrow traffic selectors to RFC 3779 address blocks in X.509
     certificates)
-  - dhcp (Forwarding of DHCP requests for virtual IPs to DHCP server)
   - certexpire (Export expiration dates of used certificates)
   - eap-aka (Generic EAP-AKA protocol handler using different backends)
   - eap-gtc (EAP-GTC protocol handler authenticating with XAuth backends)
@@ -261,9 +253,21 @@
   - eap-tnc (EAP-TNC protocol handler, Trusted Network Connect in a TLS tunnel)
   - eap-ttls (EAP-TTLS protocol handler, wraps other EAP methods securely)
   - error-notify (Notification about errors via UNIX socket)
-  - farp (fake ARP responses for requests to virtual IP address)
   - ha (High-Availability clustering)
   - kernel-libipsec (Userspace IPsec Backend with TUN devices)
   - led (Let Linux LED subsystem LEDs blink on IKE activity)
   - lookip (Virtual IP lookup facility using a UNIX socket)
   - tnc (Trusted Network Connect)
+  - unity (Cisco Unity extensions for IKEv1)
+  - xauth-eap (XAuth backend that uses EAP methods to verify passwords)
+  - xauth-pam (XAuth backend that uses PAM modules to verify passwords)
+  - eap-dynamic (EAP proxy plugin that dynamically selects an EAP method
+    requested/supported by the client (since 5.0.1))
+  - eap-peap (EAP-PEAP protocol handler, wraps other EAP methods securely)
+
+Package: strongswan-starter
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: adduser,
+         libstrongswan (= ${binary:Version}),
+         lsb-base (>= 3.0-6),
