=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.strongswan.org/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
